<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the fist needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientbase class each generated ServiceType class extends this class
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'http://ec2-34-235-190-59.compute-1.amazonaws.com/WSDesarrollo/WSDesarrollo.asmx?WSDL',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc....
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'http://ec2-34-235-190-59.compute-1.amazonaws.com/WSDesarrollo/WSDesarrollo.asmx?WSDL',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for Login ServiceType
 */
$login = new \ServiceType\Login($options);
$login->setSoapHeaderSessionId(new \StructType\SessionId());
/**
 * Sample call for Login operation/method
 */
if ($login->Login(new \StructType\Login()) !== false) {
    print_r($login->getResult());
} else {
    print_r($login->getLastError());
}
/**
 * Samples for Guarda ServiceType
 */
$guarda = new \ServiceType\Guarda($options);
$guarda->setSoapHeaderSessionId(new \StructType\SessionId());
/**
 * Sample call for GuardaVenta operation/method
 */
if ($guarda->GuardaVenta(new \StructType\GuardaVenta()) !== false) {
    print_r($guarda->getResult());
} else {
    print_r($guarda->getLastError());
}
/**
 * Sample call for GuardaApartado operation/method
 */
if ($guarda->GuardaApartado(new \StructType\GuardaApartado()) !== false) {
    print_r($guarda->getResult());
} else {
    print_r($guarda->getLastError());
}
/**
 * Samples for Cancelacion ServiceType
 */
$cancelacion = new \ServiceType\Cancelacion($options);
$cancelacion->setSoapHeaderSessionId(new \StructType\SessionId());
/**
 * Sample call for CancelacionApartado operation/method
 */
if ($cancelacion->CancelacionApartado(new \StructType\CancelacionApartado()) !== false) {
    print_r($cancelacion->getResult());
} else {
    print_r($cancelacion->getLastError());
}
