<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Login' => '\\StructType\\Login',
            'LoginResponse' => '\\StructType\\LoginResponse',
            'SessionId' => '\\StructType\\SessionId',
            'GuardaVenta' => '\\StructType\\GuardaVenta',
            'GuardaVentaResponse' => '\\StructType\\GuardaVentaResponse',
            'GuardaApartado' => '\\StructType\\GuardaApartado',
            'GuardaApartadoResponse' => '\\StructType\\GuardaApartadoResponse',
            'CancelacionApartado' => '\\StructType\\CancelacionApartado',
            'CancelacionApartadoResponse' => '\\StructType\\CancelacionApartadoResponse',
        );
    }
}
