<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CancelacionApartadoResponse StructType
 * @subpackage Structs
 */
class CancelacionApartadoResponse extends AbstractStructBase
{
    /**
     * The CancelacionApartadoResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $CancelacionApartadoResult;
    /**
     * Constructor method for CancelacionApartadoResponse
     * @uses CancelacionApartadoResponse::setCancelacionApartadoResult()
     * @param bool $cancelacionApartadoResult
     */
    public function __construct($cancelacionApartadoResult = null)
    {
        $this
            ->setCancelacionApartadoResult($cancelacionApartadoResult);
    }
    /**
     * Get CancelacionApartadoResult value
     * @return bool
     */
    public function getCancelacionApartadoResult()
    {
        return $this->CancelacionApartadoResult;
    }
    /**
     * Set CancelacionApartadoResult value
     * @param bool $cancelacionApartadoResult
     * @return \StructType\CancelacionApartadoResponse
     */
    public function setCancelacionApartadoResult($cancelacionApartadoResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($cancelacionApartadoResult) && !is_bool($cancelacionApartadoResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($cancelacionApartadoResult)), __LINE__);
        }
        $this->CancelacionApartadoResult = $cancelacionApartadoResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CancelacionApartadoResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
