<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GuardaApartadoResponse StructType
 * @subpackage Structs
 */
class GuardaApartadoResponse extends AbstractStructBase
{
    /**
     * The GuardaApartadoResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $GuardaApartadoResult;
    /**
     * Constructor method for GuardaApartadoResponse
     * @uses GuardaApartadoResponse::setGuardaApartadoResult()
     * @param bool $guardaApartadoResult
     */
    public function __construct($guardaApartadoResult = null)
    {
        $this
            ->setGuardaApartadoResult($guardaApartadoResult);
    }
    /**
     * Get GuardaApartadoResult value
     * @return bool
     */
    public function getGuardaApartadoResult()
    {
        return $this->GuardaApartadoResult;
    }
    /**
     * Set GuardaApartadoResult value
     * @param bool $guardaApartadoResult
     * @return \StructType\GuardaApartadoResponse
     */
    public function setGuardaApartadoResult($guardaApartadoResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($guardaApartadoResult) && !is_bool($guardaApartadoResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($guardaApartadoResult)), __LINE__);
        }
        $this->GuardaApartadoResult = $guardaApartadoResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GuardaApartadoResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
