<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GuardaVentaResponse StructType
 * @subpackage Structs
 */
class GuardaVentaResponse extends AbstractStructBase
{
    /**
     * The GuardaVentaResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $GuardaVentaResult;
    /**
     * Constructor method for GuardaVentaResponse
     * @uses GuardaVentaResponse::setGuardaVentaResult()
     * @param bool $guardaVentaResult
     */
    public function __construct($guardaVentaResult = null)
    {
        $this
            ->setGuardaVentaResult($guardaVentaResult);
    }
    /**
     * Get GuardaVentaResult value
     * @return bool
     */
    public function getGuardaVentaResult()
    {
        return $this->GuardaVentaResult;
    }
    /**
     * Set GuardaVentaResult value
     * @param bool $guardaVentaResult
     * @return \StructType\GuardaVentaResponse
     */
    public function setGuardaVentaResult($guardaVentaResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($guardaVentaResult) && !is_bool($guardaVentaResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($guardaVentaResult)), __LINE__);
        }
        $this->GuardaVentaResult = $guardaVentaResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GuardaVentaResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
