<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LoginResponse StructType
 * @subpackage Structs
 */
class LoginResponse extends AbstractStructBase
{
    /**
     * The LoginResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $LoginResult;
    /**
     * Constructor method for LoginResponse
     * @uses LoginResponse::setLoginResult()
     * @param bool $loginResult
     */
    public function __construct($loginResult = null)
    {
        $this
            ->setLoginResult($loginResult);
    }
    /**
     * Get LoginResult value
     * @return bool
     */
    public function getLoginResult()
    {
        return $this->LoginResult;
    }
    /**
     * Set LoginResult value
     * @param bool $loginResult
     * @return \StructType\LoginResponse
     */
    public function setLoginResult($loginResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($loginResult) && !is_bool($loginResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($loginResult)), __LINE__);
        }
        $this->LoginResult = $loginResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\LoginResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
